<?php
/**
* Homepage (Static ) options
*
* @package Theme Palace
* @subpackage Yummy Pro
* @since Yummy Pro 1.0
*/

// Homepage (Static ) setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_frontpage_content]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_checkbox',
	'default'             => $options['enable_frontpage_content'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_frontpage_content]', array(
	'label'       	=> esc_html__( 'Enable Content', 'yummy-pro' ),
	'description' 	=> esc_html__( 'Check to enable content on static front page only.', 'yummy-pro' ),
	'section'     	=> 'static_front_page',
	'type'        	=> 'checkbox',
) );

// Homepage (Static ) setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_header_on_frontpage]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_checkbox',
	'default'             => $options['enable_header_on_frontpage'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_header_on_frontpage]', array(
	'label'       	=> esc_html__( 'Enable Header On FrontPage', 'yummy-pro' ),
	'description' 	=> esc_html__( 'Check to enable header on static front page.', 'yummy-pro' ),
	'section'     	=> 'header_image',
	'type'        	=> 'checkbox',
) );