<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

// Add sidebar section
$wp_customize->add_section( 'yummy_pro_layout', array(
	'title'               => esc_html__( 'Layout','yummy-pro' ),
	'description'         => esc_html__( 'Layout section options.', 'yummy-pro' ),
	'panel'               => 'yummy_pro_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'yummy-pro' ),
	'section'             => 'yummy_pro_layout',
	'type'                => 'select',
	'choices'			  => yummy_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'yummy_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'yummy-pro' ),
	'section'             => 'yummy_pro_layout',
	'type'                => 'select',
	'choices'			  => yummy_pro_site_layout(),
) );
